
# Screenshot One



## What is this

Screenshot one is a module that currently have two things available for it. The one thing is a service where you can generate screenshots from the [Screenshot One](https://screenshotone.com/?via=7kunwb2yqcvwhdnkqvkm) service for any third party module that would want to use it.

The other core feature is that it has two AI Automator types for the AI Automator module that can be found in the [AI module](https://www.drupal.org/project/ai).  These makes it possible to take a link field and either automate it into an Image field or a Media Image field.

For more information on how to use the AI Automator (previously AI Interpolator), check https://workflows-of-ai.com.

## Features
* It can remove cookie banners automatically on the webpage you want to screenshot.
* It can screenshot the full web page, not just over the fold.
* (or) you can screenshot the exact dimensions you set.
## Requirements
* Requires an account at [Screenshot One](https://screenshotone.com/?via=7kunwb2yqcvwhdnkqvkm). You can test 100 screenshots for free.
* To use it, you need to use a third party module using the service. Currently its only usable with the AI Automator submodule of the [AI module](https://www.drupal.org/project/ai)
## How to use as AI Automator type
1. Install the [AI module](https://www.drupal.org/project/ai).
2. Install this module.
3. Visit /admin/config/screenshot-one/settings and add your api and secret keys from your Screenshot One account.
4. Create some entity or node type with a link field.
5. Create either an Image or Media field on the same entity.
6. Enable AI Automator checkbox and configure it.
7. Create an entity of the type you generated, fill in some link and save.
8. The screenshot will be filled out.
## How to use the Screenshot One service.
This is a code example on how you can generate an image binary from a screenshot of Googles webpage.
```
$screenshot_one = \Drupal::service('screenshot_one.api');
// Configure how you want it to run.
$screenshot_config = [
  'full_page' => TRUE, // If it should do a full page screenshot. Othewise width and height parameters.
  'delay' => 1, // Wait 1 second before taking the screenshot.
  'format' => 'jpg', // Get it as jpg.
  'image_quality' => 90, // 90% image quality.
  'selector' => '#content', // Only get the content id and what is in it.
];
// Take the screenshot.
$binary = $screenshot_one->screenshotUrl('https://www.google.com', $config);
...code to create image or whatever from binary.
```
